Bug 1282970 - blivet.errors.DeviceTreeError: failed to add slave nvidia_befaajij of device nvidia_befaajij1
blivet.errors.DeviceTreeError: failed to add slave nvidia_befaajij of device ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:e1c5a9483d4f0f303bc0740443e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 17:49 EST by gkillen
Modified: 2016-12-20 11:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:02:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (819.13 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: anaconda.log (6.44 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: environ (618 bytes, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: journalctl (276.63 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: lsblk_output (4.87 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: nmcli_dev_list (1.55 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: os_info (451 bytes, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: program.log (71.80 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: storage.log (454.00 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details
File: ifcfg.log (2.08 KB, text/plain)
2015-11-17 17:49 EST, gkillen
no flags Details

  None (edit)
Description gkillen 2015-11-17 17:49:25 EST
Description of problem:
Tried to install the 64-bit MATE spin (from a DVD).  Live Mate started, but when I tried to install to the hard drive the system reported an unidentified error and stopped.  Tried this several times.  Got the same result with the workstation spin.  Each time, I got the choice of reporting a bug.  I was able to choose the language, but the problem occurred on the next screen where keyboard, etc are selected.

System is a dual core intel 6600 processor (2.5 GHz).  Hard drive is a serial ATA.  Currently the system is running the MATE version of Fedora 20.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 274, in _addSlaveDevices
    raise DeviceTreeError(msg)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 305, in addUdevDMDevice
    slave_devices = self._addSlaveDevices(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 715, in addUdevDevice
    device = self.addUdevDMDevice(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.DeviceTreeError: failed to add slave nvidia_befaajij of device nvidia_befaajij1

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-MATE-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 gkillen 2015-11-17 17:49:30 EST
Created attachment 1095727 [details]
File: anaconda-tb
Comment 2 gkillen 2015-11-17 17:49:31 EST
Created attachment 1095728 [details]
File: anaconda.log
Comment 3 gkillen 2015-11-17 17:49:32 EST
Created attachment 1095729 [details]
File: environ
Comment 4 gkillen 2015-11-17 17:49:33 EST
Created attachment 1095730 [details]
File: journalctl
Comment 5 gkillen 2015-11-17 17:49:34 EST
Created attachment 1095731 [details]
File: lsblk_output
Comment 6 gkillen 2015-11-17 17:49:35 EST
Created attachment 1095732 [details]
File: nmcli_dev_list
Comment 7 gkillen 2015-11-17 17:49:36 EST
Created attachment 1095733 [details]
File: os_info
Comment 8 gkillen 2015-11-17 17:49:37 EST
Created attachment 1095734 [details]
File: program.log
Comment 9 gkillen 2015-11-17 17:49:38 EST
Created attachment 1095735 [details]
File: storage.log
Comment 10 gkillen 2015-11-17 17:49:39 EST
Created attachment 1095736 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2016-11-24 08:31:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 11:02:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.